## aurorae 6.4.4

=== debian/changelog ===
aurorae (6.4.4-0ubuntu0~tux2) noble; urgency=medium

  * Rebuild against kf6 6.17.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Aug 2025 23:00:06 +0200

aurorae (6.4.4-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 13:43:39 +0200

aurorae (6.4.1-0ubuntu0~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 26 Jun 2025 19:19:51 +0200

aurorae (6.4.1-0zneon+24.04+noble+release+build14) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 01:03:39 +0000

aurorae (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:00:35 +0000

aurorae (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:37:37 +0000

aurorae (6.3.90-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

aurorae (6.3.80-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Thu, 13 Mar 2025 15:14:11 +1000

## aurorae 6.4.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.4.5") # Handled by release scripts
project(aurorae VERSION ${PROJECT_VERSION})

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(PROJECT_DEP_VERSION "6.4.5")
set(QT_MIN_VERSION "6.8.0")
set(KF6_MIN_VERSION "6.14.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckCXXSourceCompiles)
include(CheckCXXCompilerFlag)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

include(ECMDeprecationSettings)
include(ECMSetupVersion)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    DBus
    Quick
    UiTools
    Widgets
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    ColorScheme
    Config
    CoreAddons
    I18n
    KCMUtils
    NewStuff
    Package
)

find_package(KDecoration3 ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

find_package(KF6Svg ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Svg PROPERTIES
    DESCRIPTION "A library for rendering SVG-based themes"
    PURPOSE "QML runtime dependency"
    TYPE RUNTIME
)

check_cxx_compiler_flag(-Wno-unused-parameter COMPILER_UNUSED_PARAMETER_SUPPORTED)
if (COMPILER_UNUSED_PARAMETER_SUPPORTED)
    add_compile_options(-Wno-unused-parameter)
endif()

add_definitions(
    -DQT_NO_KEYWORDS
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_FOREACH

    # Prevent EGL headers from including platform headers, in particular Xlib.h.
    -DMESA_EGL_NO_X11_HEADERS
    -DEGL_NO_X11
    -DEGL_NO_PLATFORM_SPECIFIC_TYPES
)

ecm_set_disabled_deprecation_versions(QT 5.15
    KF 6.9.0
)

add_subdirectory(src)
add_subdirectory(themes)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX AURORAE
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/AuroraeConfigVersion.cmake"
)
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Aurorae")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/AuroraeConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/AuroraeConfig.cmake"
                              PATH_VARS KDE_INSTALL_FULL_DATADIR
                              INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/AuroraeConfig.cmake"
              "${CMAKE_CURRENT_BINARY_DIR}/AuroraeConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories(
    ./lib
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(kwin5_aurorae MODULE)
set_target_properties(kwin5_aurorae PROPERTIES
    LIBRARY_OUTPUT_NAME "org.kde.kwin.aurorae"
)

target_sources(kwin5_aurorae PRIVATE
    aurorae.cpp
    decorationoptions.cpp
    lib/auroraetheme.cpp
    lib/themeconfig.cpp
    renderer.cpp
)

target_compile_definitions(kwin5_aurorae PRIVATE
    -DTRANSLATION_DOMAIN=\"aurorae\"
)

target_link_libraries(kwin5_aurorae
    KDecoration3::KDecoration
    KF6::I18n
    KF6::Package
    KF6::ConfigGui
    Qt::Quick
)

install(TARGETS kwin5_aurorae DESTINATION ${KDE_INSTALL_PLUGINDIR}/org.kde.kdecoration3)

add_library(decorationplugin SHARED)
target_sources(decorationplugin PRIVATE
    colorhelper.cpp
    decorationoptions.cpp
    decorationplugin.cpp
)
target_compile_definitions(decorationplugin PRIVATE
    -DTRANSLATION_DOMAIN=\"aurorae\"
)
target_link_libraries(decorationplugin PRIVATE
    KDecoration3::KDecoration
    KF6::ColorScheme
    Qt::Quick
)
install(TARGETS decorationplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kwin/decoration)

configure_file(aurorae.knsrc.cmake ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})

configure_file(plasma-apply-aurorae.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae
    PERMISSIONS
        OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
    DESTINATION
        ${KDE_INSTALL_LIBEXECDIR}
)

install(
    FILES
        qml/AppMenuButton.qml
        qml/AuroraeButton.qml
        qml/AuroraeButtonGroup.qml
        qml/AuroraeMaximizeButton.qml
        qml/Decoration.qml
        qml/DecorationButton.qml
        qml/MenuButton.qml
        qml/aurorae.qml
    DESTINATION
        ${KDE_INSTALL_DATADIR}/kwin/aurorae
)

install(
    FILES
        qml/AppMenuButton.qml
        qml/ButtonGroup.qml
        qml/Decoration.qml
        qml/DecorationButton.qml
        qml/MenuButton.qml
        qml/qmldir
    DESTINATION
        ${KDE_INSTALL_QMLDIR}/org/kde/kwin/decoration
)

add_subdirectory(config)

=== src/config/CMakeLists.txt ===
kcoreaddons_add_plugin(kcm_auroraedecoration SOURCES auroraeconfig.cpp INSTALL_NAMESPACE "${KDECORATION_KCM_PLUGIN_DIR}")
target_compile_definitions(kcm_auroraedecoration PRIVATE
    -DTRANSLATION_DOMAIN=\"aurorae\"
)
target_link_libraries(kcm_auroraedecoration
    KF6::ConfigGui
    KF6::KCMUtils
    KF6::I18n
    KDecoration3::KDecoration
    Qt::DBus
    Qt::UiTools
    Qt::Widgets
)

=== themes/plastik/CMakeLists.txt ===
add_subdirectory(code)

install(DIRECTORY package/
        DESTINATION ${KDE_INSTALL_DATADIR}/kwin/decorations/kwin4_decoration_qml_plastik)

file(COPY package/ DESTINATION ${CMAKE_BINARY_DIR}/bin/kwin/decorations/kwin4_decoration_qml_plastik)

=== debian/changelog ===
aurorae (6.4.5-0ubuntu1) questing; urgency=medium

  * Initial release to Ubuntu (LP: #2110574)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Sep 2025 21:22:50 +0100

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.14.0~),
               libkdecorations3-dev (>= 4:6.4.4~),
               libkf6colorscheme-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6newstuff-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin-x11
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwin-x11
Rules-Requires-Root: no

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.4.5+p24.04+vstable+git20251003.1113

=== debian/changelog ===
aurorae (6.4.5+p24.04+vstable+git20251003.1113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:13:20 +0000

aurorae (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:47:10 +0000

aurorae (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:29:40 +0000

aurorae (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:19:27 +0000

aurorae (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:50:06 +0000

=== debian/control ===
Source: aurorae
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-ki18n-dev,
               kf6-knewstuff-dev,
               kf6-kpackage-dev,
               kf6-ksvg-dev,
               kf6-kwindowsystem-dev,
               libkdecorations3-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/aurorae
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/aurorae.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/aurorae
Maintainer: Neon CI <neon@kde.org>

Package: libaurorae-dev
Section: libdevel
Architecture: any
Depends: aurorae (= ${binary:Version}),
         kf6-extra-cmake-modules,
         qt6-base-dev,
         ${misc:Depends}
Description: KDE's aurorae library
 Aurorae is a themeable window decoration for KWin.
 .
 It supports theme files consisting of several SVG files for decoration
 and buttons.
 .
 Themes can beinstalled and selected directly in the configuration module
 of KWin decorations.
 .
 This package contains the library development files.

Package: aurorae
Architecture: any
Depends: kf6-ksvg, ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:6.3.80)
Replaces: kwin-common (<< 4:6.3.80)
Description: KDE's aurorae library
 Aurorae is a themeable window decoration for KWin.
 .
 It supports theme files consisting of several SVG files for decoration
 and buttons.
 .
 Themes can beinstalled and selected directly in the configuration module
 of KWin decorations.
 .
 This package contains the aurorae main library.

## aurorae 6.4.5+p24.04+vstable+git20251004.0529

=== debian/changelog ===
aurorae (6.4.5+p24.04+vstable+git20251004.0529-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:29:11 +0000

## aurorae 6.4.5+p24.04+vstable+git20251011.2325

=== debian/changelog ===
aurorae (6.4.5+p24.04+vstable+git20251011.2325-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 23:25:22 +0000

## aurorae 6.4.5+p24.04+vstable+git20251019.0311

=== debian/changelog ===
aurorae (6.4.5+p24.04+vstable+git20251019.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:11:47 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

export DEB_CFLAGS_MAINT_APPEND = -fPIC
export DEB_CXXFLAGS_MAINT_APPEND = -fPIC
export DEB_LDFLAGS_MAINT_APPEND = -fPIC

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_EXAMPLES=ON \
	-DBUILD_TESTING=OFF

override_dh_auto_test:
	#do not run tests
	true

## aurorae 6.4.91

=== debian/changelog ===
aurorae (6.4.91-1) experimental; urgency=medium

  [ Rik Mills ]
  * Initial release to Ubuntu (LP: #2110574)

  [ Aurélien COUDERC ]
  * Initial release. (Closes: #1117535)
  * Debianize package, thanks Rik Mills for the initial packaging work !
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add patch to fix bash location in shebang for plasma-apply-aurorae.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 Oct 2025 22:30:51 +0200

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.4.91~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/aurorae
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/aurorae.git

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-common (<< 4:6.4.90~)
Replaces: kwin-common (<< 4:6.4.90~)
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.4.5") # Handled by release scripts
+set(PROJECT_VERSION "6.5.0") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.4.5")
-set(QT_MIN_VERSION "6.8.0")
-set(KF6_MIN_VERSION "6.14.0")
+set(PROJECT_DEP_VERSION "6.5.0")
+set(QT_MIN_VERSION "6.9.0")
+set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

=== debian/changelog ===
aurorae (6.5.0-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Bump KF6 build deps to 6.18.0 as per upstream minimum for Plasma 6.5.
    - Drop Breaks/Replaces not needed for Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Oct 2025 07:53:29 +0100

aurorae (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:59:05 +0200

aurorae (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:03 +0100

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.5.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.5.0+p24.04+vstable+git20251021.0908

=== debian/changelog ===
aurorae (6.5.0+p24.04+vstable+git20251021.0908-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:08:58 +0000

aurorae (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:41:54 +0000

## aurorae 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0") # Handled by release scripts
+set(PROJECT_VERSION "6.5.1") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_DEP_VERSION "6.5.1")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
aurorae (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:14:11 +0100

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.5.1~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/aurorae
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/aurorae.git

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-common (<< 4:6.4.90~),
Replaces: kwin-common (<< 4:6.4.90~),
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.5.1+p24.04+vstable+git20251029.0808

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1") # Handled by release scripts
+set(PROJECT_VERSION "6.5.2") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)

=== debian/changelog ===
aurorae (6.5.1+p24.04+vstable+git20251029.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:08:51 +0000

aurorae (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:11:26 +0000

## aurorae 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== themes/plastik/code/CMakeLists.txt ===
set(plastik_plugin_SRCS
    plastikbutton.cpp
    plastikplugin.cpp
)

add_library(plastikplugin SHARED ${plastik_plugin_SRCS})
set_target_properties(plastikplugin PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/org/kde/kwin/decorations/plastik")
target_link_libraries(plastikplugin Qt::Core Qt::Quick KF6::ColorScheme)
install(TARGETS plastikplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kwin/decorations/plastik)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kwin/decorations/plastik)
file(COPY qmldir DESTINATION ${CMAKE_BINARY_DIR}/bin/org/kde/kwin/decorations/plastik)

=== debian/changelog ===
aurorae (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:05 +0000

aurorae (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:23 +0000

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.5.2~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_test:
	# Disable auto tests at build time
	:

## aurorae 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2") # Handled by release scripts
+set(PROJECT_VERSION "6.5.3") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
aurorae (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:24:22 +0100

aurorae (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:28 +0100

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.5.3~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/aurorae
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/aurorae.git

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: kwin-common (<< 4:6.4.90~),
Replaces: kwin-common (<< 4:6.4.90~),
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.5.3+p24.04+vstable+git20251201.0221

=== debian/changelog ===
aurorae (6.5.3+p24.04+vstable+git20251201.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:21:44 +0000

aurorae (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:11:58 +1000

aurorae (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:29 +1000

## aurorae 6.5.3+p24.04+vstable+git20251202.2219

=== debian/changelog ===
aurorae (6.5.3+p24.04+vstable+git20251202.2219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:19:33 +0000

## aurorae 6.5.3+p24.04+vunstable+git20251209.0350

=== debian/changelog ===
aurorae (6.5.3+p24.04+vunstable+git20251209.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 03:50:34 +0000

## aurorae 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3") # Handled by release scripts
+set(PROJECT_VERSION "6.5.4") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
aurorae (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-sequence-kf6,
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
-               libkdecorations3-dev (>= 4:6.5.3~),
+               libkdecorations3-dev (>= 4:6.5.4~),
                libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),

## aurorae 6.5.4+p24.04+vstable+git20251209.1418

=== debian/changelog ===
aurorae (6.5.4+p24.04+vstable+git20251209.1418-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:18:17 +0000

aurorae (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:12 +1000

## aurorae 6.5.4+p24.04+vstable+git20251211.0155

=== debian/changelog ===
aurorae (6.5.4+p24.04+vstable+git20251211.0155-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 01:55:28 +0000

## aurorae 6.5.4+p24.04+vunstable+git20251209.1420

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4") # Handled by release scripts
+set(PROJECT_VERSION "6.5.80") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -79,8 +79,9 @@
     KF 6.9.0
 )
 
-add_subdirectory(src)
-add_subdirectory(themes)
+add_subdirectory(config)
+add_subdirectory(v1)
+add_subdirectory(v2)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX AURORAE
@@ -106,4 +107,17 @@
 
 ki18n_install(po)
 
+configure_file(aurorae.knsrc.cmake ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
+
+configure_file(plasma-apply-aurorae.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae)
+install(
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae
+    PERMISSIONS
+        OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+    DESTINATION
+        ${KDE_INSTALL_LIBEXECDIR}
+)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
aurorae (6.5.4+p24.04+vunstable+git20251209.1420-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:20:29 +0000

## aurorae 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80") # Handled by release scripts
+set(PROJECT_VERSION "6.5.5") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
@@ -79,9 +79,8 @@
     KF 6.9.0
 )
 
-add_subdirectory(config)
-add_subdirectory(v1)
-add_subdirectory(v2)
+add_subdirectory(src)
+add_subdirectory(themes)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX AURORAE
@@ -107,17 +106,4 @@
 
 ki18n_install(po)
 
-configure_file(aurorae.knsrc.cmake ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc)
-install(FILES ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
-
-configure_file(plasma-apply-aurorae.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae)
-install(
-    FILES
-        ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae
-    PERMISSIONS
-        OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
-    DESTINATION
-        ${KDE_INSTALL_LIBEXECDIR}
-)
-
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
aurorae (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:52:54 +0000

aurorae (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:15:06 +0000

aurorae (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:05:29 +0000

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               libkdecorations3-dev (>= 4:6.5.5~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               pkgconf,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.5.5+p24.04+vstable+git20260129.0211

=== debian/changelog ===
aurorae (6.5.5+p24.04+vstable+git20260129.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:11:25 +0000

aurorae (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:41 +1000

## aurorae 6.5.5+p24.04+vstable+git20260130.0922

=== debian/changelog ===
aurorae (6.5.5+p24.04+vstable+git20260130.0922-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:22:27 +0000

## aurorae 6.5.5+p24.04+vunstable+git20260126.1032

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5") # Handled by release scripts
+set(PROJECT_VERSION "6.6.80") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.5")
-set(QT_MIN_VERSION "6.9.0")
-set(KF6_MIN_VERSION "6.18.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(QT_MIN_VERSION "6.10.0")
+set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
@@ -46,6 +46,7 @@
     KCMUtils
     NewStuff
     Package
+    Svg
 )
 
 find_package(KDecoration3 ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
@@ -79,8 +80,9 @@
     KF 6.9.0
 )
 
-add_subdirectory(src)
-add_subdirectory(themes)
+add_subdirectory(config)
+add_subdirectory(v1)
+add_subdirectory(v2)
 
 ecm_setup_version(${PROJECT_VERSION}
     VARIABLE_PREFIX AURORAE
@@ -106,4 +108,17 @@
 
 ki18n_install(po)
 
+configure_file(aurorae.knsrc.cmake ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/aurorae.knsrc DESTINATION ${KDE_INSTALL_KNSRCDIR})
+
+configure_file(plasma-apply-aurorae.cmake ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae)
+install(
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/plasma-apply-aurorae
+    PERMISSIONS
+        OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+    DESTINATION
+        ${KDE_INSTALL_LIBEXECDIR}
+)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
aurorae (6.5.5+p24.04+vunstable+git20260126.1032-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 10:32:31 +0000

## aurorae 6.5.5+p24.04+vunstable+git20260130.1410

=== debian/changelog ===
aurorae (6.5.5+p24.04+vunstable+git20260130.1410-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:10:06 +0000

## aurorae 6.6.0+p24.04+vstable+git20260215.0935

=== debian/changelog ===
aurorae (6.6.0+p24.04+vstable+git20260215.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 09:35:34 +0000

aurorae (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 03:53:36 +0000

## aurorae 6.6.0+p24.04+vstable+git20260219.0508

=== debian/changelog ===
aurorae (6.6.0+p24.04+vstable+git20260219.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 05:08:25 +0000

## aurorae 6.6.1

=== debian/changelog ===
aurorae (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Update fix-bash-interpreter-location-in-shebang.patch
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:11:35 +0000

=== debian/control ===
Source: aurorae
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.22.0~),
               libkdecorations3-dev (>= 4:6.6.1~),
               libkf6colorscheme-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6newstuff-dev (>= 6.22.0~),
               libkf6package-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-tools-dev (>= 6.10.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/aurorae
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/aurorae

Package: kwin-style-aurorae
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KWin Aurorae decoration style engine
 Aurorae is a themeable window decoration for KWin.
 .
 This package contains the KWin decoration and settings modules.

## aurorae 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80") # Handled by release scripts
+set(PROJECT_VERSION "6.6.2") # Handled by release scripts
 project(aurorae VERSION ${PROJECT_VERSION})
 
 set(CMAKE_C_STANDARD 99)
 set(CMAKE_CXX_STANDARD 23)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(QT_MIN_VERSION "6.10.0")
 set(KF6_MIN_VERSION "6.22.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== debian/changelog ===
aurorae (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:20:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.22.0~),
-               libkdecorations3-dev (>= 4:6.6.1~),
+               libkdecorations3-dev (>= 4:6.6.2~),
                libkf6colorscheme-dev (>= 6.22.0~),
                libkf6config-dev (>= 6.22.0~),
                libkf6coreaddons-dev (>= 6.22.0~),
